Module jdk.compiler
Package com.sun.source.tree

## Interface AnnotationTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface AnnotationTree
      extends ExpressionTree

  A tree node for an annotation. For example:

          @annotationType
          @annotationType ( arguments )

  Since:
    1.6
  See The Java™ Language Specification:
    section 9.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Tree` | `getAnnotationType​()` | Returns the annotation type.
    `List<? extends ExpressionTree>` | `getArguments​()` | Returns the arguments, if any, for the annotation.

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getAnnotationType

          Tree getAnnotationType​()

      Returns the annotation type.
      Returns:
        the annotation type

    - #### getArguments

          List<? extends ExpressionTree> getArguments​()

      Returns the arguments, if any, for the annotation.
      Returns:
        the arguments for the annotation type